import kotlin.String
import org.gradle.plugin.use.PluginDependenciesSpec
import org.gradle.plugin.use.PluginDependencySpec

/**
 * Generated by https://github.com/jmfayard/buildSrcVersions
 *
 * Find which updates are available by running
 *     `$ ./gradlew buildSrcVersions`
 * This will only update the comments.
 *
 * YOU are responsible for updating manually the dependency version.
 */
object Versions {
    const val com_squareup_retrofit2: String = "2.7.1"

    const val org_jetbrains_kotlin: String = "1.3.61"

    const val androidx_lifecycle: String = "2.2.0"

    const val androidx_room: String = "2.2.3"

    const val com_android_tools_build_gradle: String = "3.5.3"

    const val de_fayard_buildsrcversions_gradle_plugin: String = "0.7.0"

    const val expandable_layout: String = "1.6.0"

    const val anko_commons: String = "0.10.8"

    const val recyclerview: String = "1.1.0"

    const val lint_gradle: String = "26.5.3"

    const val dialogplus: String = "1.11"

    const val speed_dial: String = "3.1.1"

    const val appcompat: String = "1.1.0"

    const val rxandroid: String = "2.1.1"

    const val cardview: String = "1.0.0"

    const val material: String = "1.0.0"

    const val aapt2: String = "3.5.3-5435860"

    /**
     * Current version: "5.5"
     * See issue 19: How to update Gradle itself?
     * https://github.com/jmfayard/buildSrcVersions/issues/19
     */
    const val gradleLatestVersion: String = "6.1.1"
}

/**
 * See issue #47: how to update buildSrcVersions itself
 * https://github.com/jmfayard/buildSrcVersions/issues/47
 */
val PluginDependenciesSpec.buildSrcVersions: PluginDependencySpec
    inline get() =
            id("de.fayard.buildSrcVersions").version(Versions.de_fayard_buildsrcversions_gradle_plugin)
